org.keycloak.models.jpa.entities

## Class ClientEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.ClientEntity

- Direct Known Subclasses:
    ApplicationEntity, OAuthClientEntity

      @Entity
      public abstract class ClientEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`
    `protected RealmEntity` | `realm`
    `protected Set<String>` | `redirectUris`
    `protected Set<String>` | `webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAllowedClaimsMask()`
    `Map<String,String>` | `getAttributes()`
    `String` | `getId()`
    `String` | `getName()`
    `int` | `getNotBefore()`
    `String` | `getProtocol()`
    `RealmEntity` | `getRealm()`
    `Set<String>` | `getRedirectUris()`
    `String` | `getSecret()`
    `Set<String>` | `getWebOrigins()`
    `boolean` | `isEnabled()`
    `boolean` | `isFullScopeAllowed()`
    `boolean` | `isPublicClient()`
    `void` | `setAllowedClaimsMask(long allowedClaimsMask)`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFullScopeAllowed(boolean fullScopeAllowed)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setProtocol(String protocol)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRealm(RealmEntity realm)`
    `void` | `setRedirectUris(Set<String> redirectUris)`
    `void` | `setSecret(String secret)`
    `void` | `setWebOrigins(Set<String> webOrigins)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmEntity realm

    - #### webOrigins

          protected Set<String> webOrigins

    - #### redirectUris

          protected Set<String> redirectUris

    - #### attributes

          protected Map<String,String> attributes

  - ### Constructor Detail

    - #### ClientEntity

          public ClientEntity()

  - ### Method Detail

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getAllowedClaimsMask

          public long getAllowedClaimsMask()

    - #### setAllowedClaimsMask

          public void setAllowedClaimsMask(long allowedClaimsMask)

    - #### getWebOrigins

          public Set<String> getWebOrigins()

    - #### setWebOrigins

          public void setWebOrigins(Set<String> webOrigins)

    - #### getRedirectUris

          public Set<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(Set<String> redirectUris)

    - #### getSecret

          public String getSecret()

    - #### setSecret

          public void setSecret(String secret)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

    - #### isFullScopeAllowed

          public boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(boolean fullScopeAllowed)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

Copyright © 2014. All Rights Reserved.